Package org.bukkit.material

# Class Pumpkin

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Pumpkin

All Implemented Interfaces:
  `Cloneable`, `Directional`

@Deprecated public class Pumpkin extends MaterialData implements Directional
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a pumpkin.

## Constructor Summary

Constructors
Constructor
Description
`Pumpkin()`
Deprecated.
`Pumpkin(BlockFace direction)`
Deprecated.
Instantiate a pumpkin facing in a particular direction.
`Pumpkin(Material type)`
Deprecated.
`Pumpkin(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Pumpkin`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`boolean`
`isLit()`
Deprecated.
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Pumpkin

public Pumpkin()
Deprecated.

### Pumpkin

public Pumpkin(BlockFace direction)
Deprecated.
Instantiate a pumpkin facing in a particular direction.

Parameters:
  `direction` - the direction the pumkin's face is facing

### Pumpkin

public Pumpkin(Material type)
Deprecated.

### Pumpkin

@Deprecated public Pumpkin(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isLit

public boolean isLit()
Deprecated.

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction this block is facing

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Pumpkin clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`